Bug 29832 - Ошибка в kernel при подключении к интернету через 3g модем
: Ошибка в kernel при подключении к интернету через 3g модем
Status: CLOSED FIXED
: Branch p7
(All bugs in Branch p7/ppp)
: не указана
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-02-19 09:35 by
Modified: 2014-10-02 13:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-02-19 09:35:15
Ошибка в kernel при подключении к интернету через 3g модем
При подключении в логах ошибка с kernel. Дальнейшие действия с модемом
без перезагрузки не возможны. Причем на работе если модем при загрузке
не выдернуть то ОС не загружается ругаясь похожими ошибками. Дома та же
фигня, отличие только в том что ОС все таки загружается с воткнутым модемом.

Пробовал на 2-ух машинах х32 и х64:
# uname -r
3.10.26-std-def-alt1
# rpm -qa | grep ppp
ppp-common-0.5.1-alt1
rp-pppoe-base-3.11-alt1
ppp-2.4.5-alt11
alterator-net-pppoe-0.9-alt1
ppp-pppoe-2.4.5-alt11

Обновленные до бранч t7, локальное зеркало двухнедельной давности.

Пробовал еще с kernel-image-un-def-1:3.12.7-alt1, но тоже все
печально.

В распоряжении было 3 модема, все Huawei, но разные, в том числе e1550.
Симки разные, но только мегафон.
Со всеми одинаково.

Ну собственно логи. Могу только с одного компа на х32.

Feb 18 18:39:59 maximus pppd[4493]: pppd 2.4.5 started by maximus, uid 0
Feb 18 18:40:01 maximus pppd[4493]: Script /usr/sbin/chat -t 120 -f
/etc/net/ifaces/ppp1/pppconnect finished (pid 4494), status = 0x0
Feb 18 18:40:01 maximus pppd[4493]: Serial connection established.
Feb 18 18:40:01 maximus pppd[4493]: Using interface ppp1
Feb 18 18:40:01 maximus pppd[4493]: Connect: ppp1 <--> /dev/ttyUSB0
Feb 18 18:40:01 maximus NetworkManager[3217]: <warn>
/sys/devices/virtual/net/ppp1: couldn't determine device driver; ignoring...
Feb 18 18:40:02 maximus pppd[4493]: CHAP authentication succeeded
Feb 18 18:40:02 maximus pppd[4493]: CHAP authentication succeeded
Feb 18 18:40:04 maximus pppd[4493]: Could not determine remote IP
address: defaulting to 10.64.64.65
Feb 18 18:40:04 maximus pppd[4493]: replacing old default route to
enp2s0 [192.168.1.1]
Feb 18 18:40:04 maximus pppd[4493]: local  IP address 100.64.66.156
Feb 18 18:40:04 maximus pppd[4493]: remote IP address 10.64.64.65
Feb 18 18:40:04 maximus pppd[4493]: primary   DNS address 10.154.44.154
Feb 18 18:40:04 maximus pppd[4493]: secondary DNS address 10.154.44.158
Feb 18 18:40:04 maximus pppd[4503]: Hangup (SIGHUP)
Feb 18 18:40:04 maximus pppd[4503]: Modem hangup
Feb 18 18:40:04 maximus pppd[4503]: Connect time 0.0 minutes.
Feb 18 18:40:04 maximus pppd[4503]: Sent 80 bytes, received 0 bytes.
Feb 18 18:40:04 maximus pppd[4503]: restoring old default route to
enp2s0 [192.168.1.1]
Feb 18 18:40:04 maximus pppd[4503]: Connection terminated.
Feb 18 18:40:04 maximus kernel: [  205.896712] BUG: unable to handle
kernel NULL pointer dereference at 00000014
Feb 18 18:40:04 maximus kernel: [  205.896720] IP: [<f9174f51>]
ppp_register_channel+0x11/0x20 [ppp_generic]
Feb 18 18:40:04 maximus kernel: [  205.896730] *pde = 00000000
Feb 18 18:40:04 maximus kernel: [  205.896734] Oops: 0000 [#1] SMP
Feb 18 18:40:04 maximus kernel: [  205.896739] Modules linked in:
ppp_async crc_ccitt rfcomm nvidia(PO) drm bnep uinput bluetooth rfkill
ipv6 ppp_generic slhc binfmt_misc vboxnetadp(O) vboxnetflt(O) pci_stub
vboxpci(O) vboxdrv(O) cpufreq_ondemand cpufreq_stats ext3 jbd gpio_ich
coretemp ppdev iTCO_wdt iTCO_vendor_support option usb_wwan
snd_hda_codec_hdmi usbserial usb_storage uvcvideo videobuf2_vmalloc
videobuf2_memops videobuf2_core videodev media pcspkr atl1 microcode
serio_raw joydev lpc_ich mii ehci_pci ehci_hcd snd_hda_codec_realtek
i2c_i801 snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc
asus_atk0110 hwmon floppy parport_pc parport acpi_cpufreq mperf button
processor snd_seq_midi snd_seq_midi_event snd_seq snd_rawmidi
snd_seq_device snd_timer snd soundcore dm_mod ext4 crc16 mbcache jbd2
evdev hid_generic usbhid hid sd_mod crc_t10dif ata_generic pata_acpi
ata_piix libata scsi_mod uhci_hcd usbcore usb_common intel_agp intel_gtt
agpgart autofs4
Feb 18 18:40:04 maximus kernel: [  205.896846] CPU: 1 PID: 4493 Comm:
pppd Tainted: P           O 3.10.26-std-def-alt1 #1
Feb 18 18:40:04 maximus kernel: [  205.896850] Hardware name: System
manufacturer System Product Name/P5B-MX, BIOS 0506    08/06/2007
Feb 18 18:40:04 maximus kernel: [  205.896853] task: db4bcdc0 ti:
f1faa000 task.ti: f1faa000
Feb 18 18:40:04 maximus kernel: [  205.896857] EIP: 0060:[<f9174f51>]
EFLAGS: 00210246 CPU: 1
Feb 18 18:40:04 maximus kernel: [  205.896862] EIP is at
ppp_register_channel+0x11/0x20 [ppp_generic]
Feb 18 18:40:04 maximus kernel: [  205.896865] EAX: 00000000 EBX:
f3c1c000 ECX: 0000000d EDX: f3c1c0a0
Feb 18 18:40:04 maximus kernel: [  205.896868] ESI: ef213000 EDI:
fffffff4 EBP: f1fabe48 ESP: f1fabe48
Feb 18 18:40:04 maximus kernel: [  205.896872]  DS: 007b ES: 007b FS:
00d8 GS: 0000 SS: 0068
Feb 18 18:40:04 maximus kernel: [  205.896875] CR0: 8005003b CR2:
00000014 CR3: 016d1000 CR4: 000007d0
Feb 18 18:40:04 maximus kernel: [  205.896878] DR0: 00000000 DR1:
00000000 DR2: 00000000 DR3: 00000000
Feb 18 18:40:04 maximus kernel: [  205.896881] DR6: ffff0ff0 DR7: 00000400
Feb 18 18:40:04 maximus kernel: [  205.896884] Stack:
Feb 18 18:40:05 maximus kernel: [  205.896886]  f1fabe5c f804da20
ef213000 f3e29da0 00000000 f1fabe6c c12a7c8c ef213000
Feb 18 18:40:05 maximus kernel: [  205.896896]  ef213030 f1fabef0
c12a8988 00000001 00000001 00000000 f1fabe8c 00200282
Feb 18 18:40:05 maximus kernel: [  205.896906]  db4bcdc0 db4bcdc0
ef213018 00000001 00000001 00200282 00000001 00000001
Feb 18 18:40:05 maximus kernel: [  205.896916] Call Trace:
Feb 18 18:40:05 maximus kernel: [  205.896922]  [<f804da20>]
ppp_asynctty_open+0x100/0x140 [ppp_async]
Feb 18 18:40:05 maximus kernel: [  205.896930]  [<c12a7c8c>]
tty_ldisc_open.isra.2+0x2c/0x70
Feb 18 18:40:05 maximus kernel: [  205.896936]  [<c12a8988>]
tty_ldisc_hangup+0x238/0x2a0
Feb 18 18:40:05 maximus kernel: [  205.896942]  [<c1049146>] ?
group_send_sig_info+0x46/0x60
Feb 18 18:40:05 maximus kernel: [  205.896947]  [<c104919a>] ?
__kill_pgrp_info+0x3a/0x70
Feb 18 18:40:05 maximus kernel: [  205.896951]  [<c10491ff>] ?
kill_pgrp+0x2f/0x50
Feb 18 18:40:05 maximus kernel: [  205.896958]  [<c12a0d96>]
__tty_hangup+0x2b6/0x3a0
Feb 18 18:40:05 maximus kernel: [  205.896963]  [<c102cb38>] ?
default_spin_lock_flags+0x8/0x10
Feb 18 18:40:05 maximus kernel: [  205.896969]  [<c12a24db>]
disassociate_ctty+0x6b/0x210
Feb 18 18:40:05 maximus kernel: [  205.896974]  [<c103d3cf>]
do_exit+0x5ef/0x8d0
Feb 18 18:40:05 maximus kernel: [  205.896980]  [<c103d71f>]
do_group_exit+0x2f/0x90
Feb 18 18:40:05 maximus kernel: [  205.896985]  [<c103d793>]
SyS_exit_group+0x13/0x20
Feb 18 18:40:05 maximus kernel: [  205.896991]  [<c140789c>]
syscall_call+0x7/0xb
Feb 18 18:40:05 maximus kernel: [  205.896994] Code: ef 0f 0b e8 1a 1e
00 00 e8 1a 1e 00 00 8d b6 00 00 00 00 8d bc 27 00 00 00 00 55 89 c2 64
a1 90 36 6c c1 8b 80 b0 03 00 00 89 e5 <8b> 40 14 e8 97 fe ff ff 5d c3
90 8d 74 26 00 8b 15 b4 76 17 f9
Feb 18 18:40:05 maximus kernel: [  205.897056] EIP: [<f9174f51>]
ppp_register_channel+0x11/0x20 [ppp_generic] SS:ESP 0068:f1fabe48
Feb 18 18:40:05 maximus kernel: [  205.897063] CR2: 0000000000000014
Feb 18 18:40:05 maximus kernel: [  205.897068] ---[ end trace
bef0a5532d93c282 ]---
Feb 18 18:40:05 maximus kernel: [  205.897071] Fixing recursive fault
but reboot is needed!
------- Comment #1 From 2014-02-19 21:19:58 -------
Ошибка воспроизведена на ядре 3.10.29-std-def (свежий p7) и машинке с 1GB
памяти. Память тестировалась в течении 4 часов, на 5 проходах ошибок не было.

Лог ошибки (время, название машины и источник 'kernel' вырезаны):

PPP BSD Compression module registered
PPP Deflate Compression module registered
BUG: unable to handle kernel NULL pointer dereference at 00000014
IP: [<f3ff7f51>] ppp_register_channel+0x11/0x20 [ppp_generic]
*pde = 00000000 
Oops: 0000 [#1] SMP 
Modules linked in: ppp_deflate zlib_deflate bsd_comp ppp_async crc_ccitt
ppp_generic slhc xt_physdev xt_tcpudp xt_conntr
 i2c_algo_bit libata scsi_mod evdev button
CPU: 1 PID: 5620 Comm: pppd Not tainted 3.10.29-std-def-alt1 #1
Hardware name: System manufacturer System Product Name/M2N-MX SE, BIOS 0308   
07/10/2007
task: ed21e1f0 ti: dfefe000 task.ti: dfefe000
EIP: 0060:[<f3ff7f51>] EFLAGS: 00210212 CPU: 1
EIP is at ppp_register_channel+0x11/0x20 [ppp_generic]
EAX: 00000000 EBX: dfc34000 ECX: 00000016 EDX: dfc340a0
ESI: e545ee00 EDI: fffffff4 EBP: dfeffe48 ESP: dfeffe48
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
CR0: 8005003b CR2: 00000014 CR3: 016d1000 CR4: 000007d0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
Stack:
 dfeffe5c f402ea20 e545ee00 edd62340 00000000 dfeffe6c c12a7edc e545ee00
 e545ee30 dfeffef0 c12a8bd8 00000001 00000001 00000000 dfeffe8c 00200282
 ed21e1f0 ed21e1f0 e545ee18 00000001 00000001 00200282 00000001 00000001
Call Trace:
 [<f402ea20>] ppp_asynctty_open+0x100/0x140 [ppp_async]
 [<c12a7edc>] tty_ldisc_open.isra.2+0x2c/0x70
 [<c12a8bd8>] tty_ldisc_hangup+0x238/0x2a0
 [<c10493b6>] ? group_send_sig_info+0x46/0x60
 [<c104940a>] ? __kill_pgrp_info+0x3a/0x70
 [<c104946f>] ? kill_pgrp+0x2f/0x50
 [<c12a0fe6>] __tty_hangup+0x2b6/0x3a0
 [<c102cda8>] ? default_spin_lock_flags+0x8/0x10
 [<c12a272b>] disassociate_ctty+0x6b/0x210
 [<c103d63f>] do_exit+0x5ef/0x8d0
 [<c103d63f>] do_exit+0x5ef/0x8d0
 [<c103d98f>] do_group_exit+0x2f/0x90
 [<c103da03>] SyS_exit_group+0x13/0x20
 [<c1407aac>] syscall_call+0x7/0xb
Code: ef 0f 0b e8 17 1e 00 00 e8 17 1e 00 00 8d b6 00 00 00 00 8d bc 27 00 00
00 00 55 89 c2 64 a1 90 36 6c c1 8b 80 b0 03 00 00 89 e5 <8b> 40 14 e8 97 fe ff
ff 5d c3 90 8d 74 26 00 8b 15 b4 a6 ff f3
EIP: [<f3ff7f51>] ppp_register_channel+0x11/0x20 [ppp_generic] SS:ESP
0068:dfeffe48
CR2: 0000000000000014
---[ end trace 0c9faf040ba0a966 ]---
Fixing recursive fault but reboot is needed!


В телефоне (модеме) соединение EDGE устанавливается, но со стороны компьютера
интерфейс ppp0 не поднят.
В процессах висят (в ожидании) три процесса:
   pppd
    |____pppd
          |____ip-up

Прочее: в качестве модема телефон через bluetooth; ядро 3.10.29-std-pae толком
не загрузилось на этом компьютере и bluetooth нестабильно заработал, поэтому
проверить не удалось.

$  rpm -qa | grep ppp
ppp-2.4.5-alt11
rp-pppoe-base-3.11-alt1
kde4network-kppp-4.11.3-alt0.M70P.1
ppp-common-0.5.1-alt1
ppp-pppoe-2.4.5-alt11
alterator-net-pppoe-0.9-alt1
------- Comment #2 From 2014-02-21 17:46:01 -------
Ошибка НЕ воспроизвелась на ноутбуке с 4 GB памяти на том же ядре
3.10.29-std-def. pppd нормально поднял сеть, пинги и прочее пошло сразу.
%  rpm -qa | grep ppp
alterator-net-pppoe-0.9-alt1
kde4network-kppp-4.11.3-alt0.M70P.1
ppp-pppoe-2.4.5-alt11
ppp-2.4.5-alt11
rp-pppoe-base-3.11-alt1
ppp-common-0.5.1-alt1


Разница с компьютером, на котором воспроизводится -- ноутбук 2011 года, а
компьютер 2007-го ( процессор -- AMD Athlon 5000+, память DDR2, одна плашка).
Производитель материнок один в обоих случаях -- ASUS.
------- Comment #3 From 2014-09-30 18:00:47 -------
Проверьте на kernel-image-std-def-3.14.19-alt1, пожалуйста.
------- Comment #4 From 2014-10-01 11:53:39 -------
Спасибо, работает. Правда, у меня 3.14.18-std-def, свежее ядро поставить смогу
только после полуночи.
Как правильно закрывать баги? Выбрать ниже поля комментария 'RESOLVED' 'FIXED'
и всё? Или в текстовом поле дописать чего?
------- Comment #5 From 2014-10-01 11:58:01 -------
(В ответ на комментарий №4)
> Как правильно закрывать баги? Выбрать ниже поля комментария 'RESOLVED' 'FIXED'
> и всё? Или в текстовом поле дописать чего?
Да, RESOLVED FIXED и, как минимум, «Решено» в поле комментария.
------- Comment #6 From 2014-10-02 12:51:01 -------
Проверено на 3.14.19, работает.
Можно закрывать, если @maximus не против.
------- Comment #7 From 2014-10-02 13:06:05 -------
Если кто против — переоткроет.